/*
    Introduction to OOP with Java 4th Ed, McGraw-Hill

    Wu/Otani

    File: Ch5Account.java

*/

//This version adds a validity test inside the add and delete method 

class Ch5Account {

    // Data Members   
    private String ownerName;
    
    private double balance;
    
    //Constructor
    public Ch5Account(String name, double startingBalance ) {

        ownerName = name;
        balance = startingBalance;
    }
    
    //Adds the passed amount to the balance
    public void add(double amt) {
        //add if amt is positive; do nothing otherwise
        if (amt > 0) {
            balance = balance + amt;
        }
    }
    
    //Deducts the passed amount from the balance
    public void deduct(double amt) {
        
        //deduct if amt is positive; do nothing otherwise
        if (amt > 0) {
            double newbalance = balance - amt;
            
            if (newbalance >= 0) { //if a new balance is positive, then
                balance = newbalance; //update the balance; otherwise,
            }                         //do nothing
        }
    }
    
    //Returns the current balance of this account
    public double getCurrentBalance( ) {
        return balance;
    }
    
    //Returns the name of this bicycle's owner
    public String getOwnerName( ) {
        
        return ownerName;
    }
    
    //Assigns the name of this bicycle's owner
    public void setOwnerName(String name) {
    
        ownerName = name;
    }    
 }